#include "D:\Program Files\Winamp3/lib/std.mi"

Function Modedetect();
Function setDefaultModes();
Function allmodes();
Function normplusshade();
Function normplusslim();
Function shadeplusslim();

Global Button mainswitch, shadeswitch, stickswitch;
Global Button norm2slim, shade2norm, slim2shade;
Global String stringDefaultModes;

System.onScriptLoaded() {
	Layout mainnormal = System.getContainer("main").getLayout("normal");
	Layout mainshade = System.getContainer("main").getLayout("shade");
	Layout mainslim = System.getContainer("main").getLayout("slim");

    Group displaygroup = getContainer("main").getLayout("shade").getObject("shade-display-drawer");
	
	mainswitch = mainnormal.getObject("winshade");
	norm2slim = mainnormal.getObject("winslim");
	shadeswitch = displaygroup.getObject("winshade");
	shade2norm = displaygroup.getObject("winnormal");
	stickswitch = mainslim.getObject("winshade");
	slim2shade = mainslim.getObject("winshade2");
	
	Modedetect();
	setDefaultModes();
}

Modedetect() {
	String stringDefaultModes = "";
	stringDefaultModes = System.getPrivateString("D-Shock", "MainwindowModes", stringDefaultModes);
//	System.getPrivateString("D-Shock", "MainwindowModes", stringDefaultModes);
}

setDefaultModes() {
	if (stringDefaultModes == "All modes cycled") { allmodes(); }
	if (stringDefaultModes == "Normal and Shade Modes") { normplusshade(); }
	if (stringDefaultModes == "Normal and Stick Modes") { normplusslim(); }
	if (stringDefaultModes == "Shade and Stick Modes") { shadeplusslim(); }
}

allmodes() {
norm2slim.hide();
shade2norm.hide();
slim2shade.hide();

mainswitch.show();
shadeswitch.show();
stickswitch.show();
/*	mainswitch.setXmlParam("param", "shade");
	shadeswitch.setXmlParam("param", "slim");
	stickswitch.setXmlParam("param", "normal");
*/
} 

normplusshade() {
norm2slim.hide();
shadeswitch.hide();
slim2shade.hide();   

mainswitch.show();
stickswitch.show();
shade2norm.show();
/*	mainswitch.setXmlParam("param", "shade");
	shadeswitch.setXmlParam("param", "normal");
	stickswitch.setXmlParam("param", "normal");
	mainswitch.setXmlParam("tooltip", "Toggle Shade Mode");
	shadeswitch.setXmlParam("tooltip", "Toggle Normal Mode");
	stickswitch.setXmlParam("tooltip", "Toggle Normal Mode");
*/
} 
normplusslim() {
mainswitch.hide();
shade2norm.hide();
slim2shade.hide();
                  
shadeswitch.show();
stickswitch.show();
norm2slim.show();                                    
/*	mainswitch.setXmlParam("param", "slim");
	shadeswitch.setXmlParam("param", "slim");
	stickswitch.setXmlParam("param", "normal");
	mainswitch.setXmlParam("tooltip", "Toggle Slim Mode");
	shadeswitch.setXmlParam("tooltip", "Toggle Stick Mode");
	stickswitch.setXmlParam("tooltip", "Toggle Normal Mode");
*/
} 

shadeplusslim() {         
norm2slim.hide();
stickswitch.hide();
shade2norm.hide();

mainswitch.show();
shadeswitch.show();
slim2shade.show();
/*    
	mainswitch.setXmlParam("param", "shade");
	shadeswitch.setXmlParam("param", "slim");
	stickswitch.setXmlParam("param", "shade");
	mainswitch.setXmlParam("tooltip", "Toggle Shade Mode");
	shadeswitch.setXmlParam("tooltip", "Toggle Stick Mode");
	stickswitch.setXmlParam("tooltip", "Toggle Shade Mode");
*/
} 
