#include "D:\Program Files\Winamp3\lib/std.mi"

Function string tokenizeSongInfo(String tkn, String sinfo);

Global Text bitrateText, infoline, FrequencyText;
Global Timer songInfoTimer;
Global Timer Songinfoupdate;
Global Boolean used=0;

Global String SongInfoString;

System.onScriptLoaded() {
  Group mainnormal = getContainer("main").getLayout("Normal").getObject("display");
  infoline = mainnormal.getObject("infoline");
  bitrateText = mainnormal.getObject("Bitrate");
  frequencyText = mainnormal.getObject("Frequency");
  Songinfoupdate = new timer;
  Songinfoupdate.setdelay(1000);
 // Songinfoupdate.start();
  infoline.setText("-");
}

System.onscriptunloading() {
  delete Songinfoupdate;
}

Songinfoupdate.ontimer() {
  infoline.setText("-");
}

infoline.onTextChanged(String newtxt) {
  if(newtxt=="-") {
    infoline.setText("");
	return;
  }
  String tkn, songinfo;
  songinfo = strupper(newtxt);

  tkn = tokenizeSongInfo("Bitrate", songinfo);
  if(tkn != "") bitrateText.setText(tkn);
  tkn = tokenizeSongInfo("Frequency", songinfo);
  if(tkn != "") frequencyText.setText(tkn);

}

System.onStop(){
	frequencyText.setText("");
	bitrateText.setText("");
}

tokenizeSongInfo(String tkn, String sinfo){  // this was written by the great Gonzotek
int searchResult;                            // i nicked his code cos i can't be bothered to reinvent this wheel
String rtn;
if (tkn=="Bitrate"){
		for (int i = 0; i < 5; i++) {
			rtn = getToken(sinfo, " ", i);
			searchResult = strsearch(rtn, "BPS");
			if (searchResult>0) return rtn;
		}
		return "";
}

if (tkn=="Frequency"){
		for (int i = 0; i < 5; i++) {
			rtn = getToken(sinfo, " ", i);
			searchResult = strsearch(rtn, "KHZ");
			if (searchResult>0) return rtn;
		}
		return "";
}

else return "";
}
